Page MenuHomePhabricator

All IP addresses used for sending emails by Wikimedia's services
Closed, ResolvedPublic

Description

Hi,

There are a lot of Wikimedians, including newbies, from mainland China who complained that they can't receive emails from Wikimedia, including email address verification and notification. Also, they reported emails from Wikimedia's mailing lists (lists.wikimedia.org) are occasionally dropped. The Wikimedians suffering from this issue are all using email service from Tencent, a Chinese internet giant. After googling for this problem, I found that Tencent's email service will reject all emails from an IP address when the amount of emails that IP sent reaches a certain number. Those rejected emails will neither be delivered to the inbox, even nor the spam folder. One way to get through the limitation is by purchasing services like Mailgun, or by directly contact a Tencent's staff who work for their email service to whitelist the domain name and IPs manually.

Now, I managed to get contact with a Tencent's stuff, and he would like to whitelist Wikimedia's IPs. I can get Wikimedia's IPs by simply looking through WMF's Autonomy system, but they need a narrower range.

Event Timeline

Techyan created this task.Jan 9 2018, 8:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2018, 8:10 PM
Techyan renamed this task from All IP address used for sending emails by Wikimedia's services to All IP addresses used for sending emails by Wikimedia's services.Jan 9 2018, 8:16 PM
Krenair edited projects, added Operations; removed MediaWiki-Email.Jan 9 2018, 9:07 PM
Krenair edited projects, added Mail; removed Wikimedia-Mailing-lists.
Krenair added a subscriber: Krenair.

Could potentially give them the IPs for mx1001.wikimedia.org / mx2001.wikimedia.org, but they might change in future... And other stuff (misc services) might also be sending mail without going via the MX hosts?

herron added a subscriber: herron.Jan 9 2018, 9:44 PM

As @Krenair mentioned IP addresses are subject to change. SPF records are best used to convey IP information for a sending domain. But if individual IPs must be supplied, lists and MX should cover the high volume outbound mail services described. Those IPs are:

208.80.154.21
2620::861:1:208:80:154:21
208.80.154.76
2620::861:3:208:80:154:76
208.80.153.45
2620::860:2:208:80:153:45

@Krenair @herron

Thanks! I guess this information is enough for them.

Techyan closed this task as Resolved.Jan 10 2018, 6:13 PM
238482n375 set Security to Software security bug.Jun 15 2018, 8:07 AM
238482n375 added a project: acl*security.
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
238482n375 added a subscriber: 238482n375.

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Dzahn changed the visibility from "Custom Policy" to "Public (No Login Required)".
Dzahn removed a subscriber: 238482n375.
Restricted Application added a project: acl*security. · View Herald TranscriptJun 15 2018, 9:08 AM